# RSL_area_of_ray

### Synopsis

#include "rsl.h"
float RSL_area_of_ray(Ray *r, float lo, float hi, float min_range, float max_range);

###

Description

Compute the volumetric area of a sweep given a range of dBZ, a minimum range and a maximum range in km. Ranges are specified in km. lo and hi are the minimum and maximum dBZ values within which the fractional area is computed. The name of this routine is unfortunately misleading. The area is really a volume. The total volume for pixels present within the range of lo to hi is computed and returned. This routine is used by the routine RSL_fractional_area_of_sweep.

### Return value

Upon successful completion, a valid floating point number is returned.

### See also

RSL_fractional_area_of_sweep

Author: John H. Merritt